#### Previous topic

scipy.cluster.hierarchy.linkage

#### Next topic

scipy.cluster.hierarchy.complete

# scipy.cluster.hierarchy.single

`scipy.cluster.hierarchy.``single`(y)

  Performs single/min/nearest linkage on the condensed distance matrix `y`

  Parameters:

  y : ndarray

  > The upper triangular of the distance matrix. The result of `pdist` is returned in this form.

  Returns:

  Z : ndarray

  > The linkage matrix.

  See also

  `linkage`
    for advanced creation of hierarchical clusterings.